Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class InitCSWModuleListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.csw.control.InitCSWModuleListener

All Implemented Interfaces:
  EventListener, WebListener

    public class InitCSWModuleListener

extends AbstractListener

This classes initializes the configurations of the the CSW-module from the WMC to be used by the CSW client

Version:
  $Revision: 19071 $, $Date: 2009-08-12 16:42:35 +0200 (Mi, 12. Aug 2009) $
Author:
  Judit Mays, last edited by: $Author: jmays $

Constructor Summary
`InitCSWModuleListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected Module` | `findCswClientModule(GeneralExtension gen)` Extracts the csw module from the GeneralExtension in the WebMapContext
`protected void` | `initConfig(CSWClientConfiguration config, ParameterList parList)` Extracts all the needed configurations from the WMC csw-module and fills the config nstance with them

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitCSWModuleListener

    public InitCSWModuleListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### initConfig

    protected void initConfig(CSWClientConfiguration config,
                              ParameterList parList)
                       throws CatalogClientException

  Extracts all the needed configurations from the WMC csw-module and fills the config nstance with them

  Parameters:
    `config` -
    `parList` -
  Throws:
    `CatalogClientException`

### findCswClientModule

    protected Module findCswClientModule(GeneralExtension gen)
                                  throws CatalogClientException

  Extracts the csw module from the GeneralExtension in the WebMapContext

  Parameters:
    `gen` - the general extension of the WMC in which to search for a given module
  Returns:
    Returns the (first) csw client module found in one of the GUI areas. Search order is north, east, south, west, center.
  Throws:
    `CatalogClientException` - if the csw client module cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org